Rated 5 out of 5 stars

Excellent!

This review is for a previous version of the add-on (14.2.1). 

Thanks

Full Perfect for me... Rated 5 out of 5 stars

This same like darkdrifter theme for chrome..
I like this....

This review is for a previous version of the add-on (14.2.1). 

Update to 50.* (My primary and only Theme) Rated 5 out of 5 stars

Firefox always have the best addons and themes. And sure all thanks to Mozilla that Firefox is customized and not locked at all so we can have perfect addons and perfect browser :)

Anyway I just love this theme I hope it will be always up to date is my primary and only theme for years! Icons are without any squared they fit perfect. Why I like this Theme even more no toolbar frames etc. Perfect Theme.

I use Beta version 14beta10 and it works perfect on Firefox version 47.0.2

For Firefox version 49.0.2 users just change manually max version in this addon to 50.* and everything works perfect.

Creator it is not possible that max version will be higher? I think Firefox doesn't change a lot from version to version so I think version 52.* will be ok and everyone could use this theme normally even if is not updated every time when new Firefox version is out. For me even if some icon is hidden or doesn't work perfect, but if other works ok is better than without theme at least for me I just love it :D

My Firefox:
http://i1176.photobucket.com/albums/x331/Bostyan87/Firefox/Firefox%20Google%20amp%20Sidebar_zps2uva9xtw.jpg



REPLY:
Yes that true when will be something wrong users will send you a lot of feedbacks. When I install new Firefox latest version 49.0.2 it show that window for checking addons and than was showed only your Theme that this theme will not work etc.. Than I say "Oh no why this theme :)" But I was used 14beta10 which say is only for Firefox 46.0 - 47.*. I think one time don't know on what Firefox version Stable version didn't work and from that time I was always used Beta. That`s why I didn't get any updates....

Maybe will be good if anyone use Beta version and when Stable is out that addon (Update) open new page that Stable vesion is out or something like that.

My Addons are set to auto update but I had Beta version and didn't show anything about updates. And when I set max version to 50*. all work ok.

Anyway here was problem on my side. I really hope that you will always have some time to keep this beautiful theme always up to date. Is not a problem wait a few days I can disable Firefox Updates but I just can`t be without this theme is so beautiful and perfect. One more thing please check for this two addons that this teme will always work ok. On all home computers is your theme the only and primary theme + this two addon. For now I never had any problems with your theme with this two addon but I will still say that this addons are really awesome.

Classic Theme Restorer by Aris

All-in-One Sidebar by Ingo Wennemaring


I`m using Firefox from first version and always was primary on all computers at home because is customized and awesome addons. I really hope that Firefox will stay the same as it is now. Because if we lost Firefox there is no any other browser that will be customized. Chrome is same as IE not customized pointless addons etc. Opera again not customized now they remove even Sidebar witch is the worse what they did (I use v12,18 as secondary browser). And that`s all no more browsers. If you ask me without Firefox browsing will be really pain in the ***. I never see any browser with Multi-row and this is the best feature but only Firefox have it. Even my father use 30 tabs and without Multi-row no go. I really dont know how could be browser devs so s*** create browser but without Multi-row this is sad!!

This review is for a previous version of the add-on (14.2.1).  This user has 4 previous reviews of this add-on.

Thanks for the feedback.

By the way, FT DeepDark 14.2.1 already works with Firefox 50.*

Now concerning the max version number upgrade, I do not support Firefox version higher than the beta version (for many reasons).
With each new update there are many things which can break and I prefer to check it and fix it before making the theme available. Maybe it's not a problem for you, but many other users can't stand any missing new icons or other kind of smaller issues. This can result in tons of annoying emails and feedbacks, that's why I prefer to not increase the max version number above the Firefox beta version. If someone wants to use my theme on higher versions, he/she can do it, but he/she will need to manually edit the "install.rdf" file and assume the issues he/she can face by doing it. Unfortunately, this is something which won't change.

Perfect. Please update Firefox 51. Rated 5 out of 5 stars

Update Firefox 51.

This review is for a previous version of the add-on (14.2.1). 

Прикольная Rated 5 out of 5 stars

Отличная тема )))))

This review is for a previous version of the add-on (14.2.1). 

I could not use a computer without FT and TT DeepDark! Rated 5 out of 5 stars

Computer monitors produce their own light, so I have never understood why people muddle ambient light with their monitor light. I like dark rooms to compute. So when monitors hit my retina with flashing bright light I get a headache in two minutes, even with good LCD or LED monitors. They remind me of the old CGA video cards! With DeepDark I am SAVED! I force my FireFox and TBird screen colors to use my own white text on black backgrounds (something you cannot do on Chrome or any other browser I have found!) and this saves me 99.5% of the time. Occasionally I have to switch to Chrome to pay some bills where some buttons are blanked out, but it's well worth it. I can't use Chrome with their crummy dark add-ons, because they occasionally to frequently flash bright white screens, nearly knocking me off my chair. THANK-YOU, Steva, from the bottom of my heart, for your work on the DeepDarks!

This review is for a previous version of the add-on (14.2.1). 

One of the best themes out there. Rated 5 out of 5 stars

Great AddOn. It is simple and uncluttered. A very elegant interface. I have been using this for years.

This review is for a previous version of the add-on (14.2). 

Best dark theme there is Rated 5 out of 5 stars

This theme sets the standard that all other dark themes should aim for.

This review is for a previous version of the add-on (14.2). 

Would like to use it Rated 5 out of 5 stars

Looks awesome, but pity it's not available for FF52.

This review is for a previous version of the add-on (14.2). 

Thank you Rated 5 out of 5 stars

Thank you so much for the update. Love, love, love it :)))))

This review is for a previous version of the add-on (14.2).  This user has a previous review of this add-on.

It's perfect. I like it! Rated 5 out of 5 stars

It's perfect. Thank you very much!
Can you release a version of light?

This review is for a previous version of the add-on (14.2). 

Easy of mind Rated 5 out of 5 stars

Thnx a lot for your work!

This review is for a previous version of the add-on (14.2). 

Perfect Rated 5 out of 5 stars

FT DeepDark now come for Firefox 50 beta.
It's perfect. It's hard to live without this theme.

Thank you very much, steva.

/*
I think review section is suitable for writing our opinion, suggestion and ordinary problem. So, I've written ordinary problem like version incompatible here.

If I found specific problem, I'll email you with extra information.
*/

This review is for a previous version of the add-on (14.2).  This user has 2 previous reviews of this add-on.

Thanks for the comment. I'm glad to know that everything is fine now.

By the way, when I told you to use the support link instead of using the review section it was mainly to follow the official Review Guidelines of this site. It is explicitly written to not use the review section to post technical issues, but the support link instead if available (in the case of my add-on, there is a support link).

In case you would like to have a look at the official Review Guidelines, here is the link where you can find them: https://addons.mozilla.org/en-US/review_guide

For Mac, please! Rated 5 out of 5 stars

Need this for Mac. Please...!!!

This review is for a previous version of the add-on (14.1.2). 

Try to download and install manually (from the Firefox add-ons manager by clicking the option icon and selecting "install add-on from file") the Linux version. Here is a link to download it if you don't have the possibility to use a computer with Linux:

https://addons.mozilla.org/firefox/downloads/file/507331/ft_deepdark-14.1.2-fx-linux.xpi

By the way, please, use the support link for this kind of request instead of the review section. Thank you

it is perfect Rated 5 out of 5 stars

the only thing that i would like to see changed is that dev-tools are dark too.
steva, THANK YOU so much for your hard work :)
and tell me please, are you planning to make the dev-tools dark?

This review is for a previous version of the add-on (14.1.2). 

Dev Tools dark theme

Concerning the Dev Tools, I stopped styling them a while ago, because they change non stop (with each Firefox update) and users who need them had to wait for me to fix the constant new issues before being able to fully use them. But even if they are not styled anymore, there is still the possibility to have them in dark color. Indeed, in Dev Tools settings there is the possibility, by default, to switch between a light and dark themes.
By the way, when you need assistance, please use the support link next to the add-on description instead of the review section. Thanks in advance.

Me gusta Rated 5 out of 5 stars

Estuve buscando un diseño oscuro para Firefox y este es el mejor que he encontrado, en cuanto a diseño y contraste con las letras del menú.

This review is for a previous version of the add-on (14.1.2). 

Thanks for the review!

Rated 5 out of 5 stars

This theme is a perfect match for KDE’s Breeze Dark theme.

This review is for a previous version of the add-on (14.1.2). 

Rated 4 out of 5 stars

Version 14.1.2 is not working with FF 50. I used to just edit the extension file to force install it on incompatible FF versions, which usually worked fine. This time though there are major incompatibilities with the browser. Most notably the menu is totally unusable.

Hopefully this will be updated quickly for us on the beta channel.

This review is for a previous version of the add-on (14.1.2). 

Try the 14.2 version

Try the 14.2 version: https://addons.mozilla.org/en-US/firefox/addon/ft-deepdark/versions/

By the way, please, next time use the support link when facing an issue instead of the review section. Thank you

Much needed add-on Rated 5 out of 5 stars

Runs well with the new firefox. Smooth, looks great, and imo the most necessary add-on second only to Ad-Blocker.

This review is for a previous version of the add-on (14.1.2). 

Thank you for nice theme! Rated 4 out of 5 stars

Please, add round buttons "close tab" and add PLEASE possibility to increase size of tabs and text in them. Also, text in address bar, cause in 1920x1080 is too small and my eyes have a littlT_T

This review is for a previous version of the add-on (14.1.2).  This user has a previous review of this add-on.